export interface HookConfig {
    Pre: boolean;
    Plugin?: string;
    Hook?: string;
    Path?: string;
}
export declare class Hook {
    preHooks: HookConfig[];
    afterHooks: HookConfig[];
    constructor(extendsParams?: HookConfig[]);
    executePreHook(): Promise<void>;
    executeAfterHook(): Promise<void>;
    commandExecute(command: string, executePath: string | undefined): Promise<void>;
    pluginExecute(name: string): Promise<void>;
    executeByConfig(hookConfig: HookConfig): Promise<void>;
}
